# TODO: wait for new rpm-build-ruby
%define rakeinstall_std DESTDIR=%buildroot ruby -rvendor-specific %_bindir/rake install

%define REL 29501
Name: alexandria
Version: 0.6.2
Release: alt1

Summary: Alexandria is a GNOME application to help you manage your book collection

License: GPL
Group: Databases
Url: http://alexandria.rubyforge.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://rubyforge.org/frs/download.php/%REL/%name-%version.tar.bz2
Patch: %name-%version.patch

Requires(post): GConf2
Requires(post,postun): scrollkeeper
BuildPreReq: libGConf2-devel
BuildPreReq: menu-devel

BuildArch: noarch

# TODO: autosearch for requires
Requires: ruby-gettext ruby-amazon ruby-gdkpixbuf2 ruby-gnome2 ruby-libglade2 ruby-gconf2 ruby-zoom ruby-atk ruby-glib2 ruby-gnomecanvas2 ruby-gtk2 ruby-libart2 ruby-pango ruby-zoom

# Automatically added by buildreq on Tue Jan 08 2008
BuildRequires: ruby-module-digest ruby-module-etc ruby-module-fileutils ruby-module-misc ruby-module-openssl ruby-module-optparse ruby-module-rexml ruby-module-yaml ruby-rake rubygems

BuildPreReq: ruby ruby-amazon

%description
Alexandria is a GNOME application to help you manage your book collection.

Alexandria:
 * retrieves book information from Amazon (including cover pictures) ;
 * saves data using the YAML format ;
 * features an HIG-compliant user interface ;
 * shows books in different views (standard list or icons list).

%prep
%setup -q
%patch
#%__subst "s|include OSX||" lib/alexandria/preferences.rb
#%__subst "s|.*amazon.*|#Do not use AMAZON|" lib/%name/book_providers.rb
# do not install omf
#rm -f data/omf/alexandria/post-install.rb

#%build
#rake build
#ruby install.rb config --site-ruby=%ruby_sitelibdir
#ruby install.rb setup

%install
#rake install PREFIX=%buildroot%prefix GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 VENDOR_SPECIFIC=1
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 
%rakeinstall_std

install -D -m 0644 schemas/%name.schemas %buildroot/%_sysconfdir/gconf/schemas/%name.schemas
rm -rf %buildroot%_docdir/%name/
%find_lang %name --with-gnome

%post
%update_menus
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_menus

%files -f %name.lang
%doc doc/AUTHORS doc/BUGS doc/FAQ doc/HACKING doc/NEWS doc/cuecat*
%doc INSTALL ChangeLog README TODO
%_bindir/%name
%_datadir/%name/
%ruby_sitelibdir/%name/
%ruby_sitelibdir/%name.rb
%_man1dir/*
%_desktopdir/%name.desktop
%config %_sysconfdir/gconf/schemas/*
%_iconsdir/hicolor/*/*/%name.*

%changelog
* Tue Jan 08 2008 Vitaly Lipatov <lav@altlinux.ru> 0.6.2-alt1
- new version 0.6.2 (with rpmrb script)

* Sun Sep 10 2006 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt0.3
- fix requires
- remove debian menu

* Tue May 23 2006 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt0.2
- spec cleanup
- fix requires (bug #9601)

* Sun Oct 16 2005 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt0.1
- new version
- add require for ruby-gettext
- still some broken code

* Tue Sep 13 2005 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt0.2
- fix scrollkeeper install

* Sat Sep 10 2005 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt0.1
- new version

* Wed Aug 24 2005 Vitaly Lipatov <lav@altlinux.ru> 0.5.1-alt0.1
- new version. Ruby hackers, please check this app

* Sat Dec 18 2004 Vitaly Lipatov <lav@altlinux.ru> 0.4.0-alt1
- first build for ALT Linux Sisyphus

